# Utility methods
from .fcscore import ( 
    get_backend_api_version,
    check_api_compatibility
)

# Salome legacy
from .fcscore import (
    GEOM_Object,
    GEOM_Field,
    GEOMAlgo_State
)

# OCC legacy
from .fcscore import (
    TColStd_HSequenceOfTransient,
    TopAbs_ShapeEnum,
    ExplodeType,
    ComparisonCondition,
    ShapeKind,
    SICheckLevel
)

# Core
from .fcscore import (
    Color,
    ColorSelection,
    Palette
)

# Geometry
from .fcscore import (
    Geometry3DPrimitives,
    ExtGeometry3DPrimitives,
    GeometryBasicOperations,
    GeometryBlockOperations,
    GeometryBooleanOperations,
    ExtGeometryBooleanOperations,
    GeometryCurveOperations,
    GeometryFieldOperations,
    GeometryGroupOperations,
    GeometryHealingOperations,
    ExtGeometryHealingOperations,
    GeometryInsertOperations,
    GeometryLocalOperations,
    GeometryMeasureOperations,
    ExtGeometryMeasureOperations,
    GeometryShapeOperations,
    ExtGeometryShapeOperations,
    GeometryTransformOperations,
    ImportOperations,
    ExportOperations
)

# Mesh
from .fcscore import ( 
    SpecificElementType,
    MeshElementOrder,
    Mesh2DAlgorithmChoice,
    Mesh3DAlgorithmChoice,
    Target2DElementType,
    Target3DElementType,
    Mesh2DSettings,
    Mesh3DSettings,
    Mesh,
    Element,
    Node,
    ElementSet,
    NodeSet,
    MasterMesh,
    ComponentMesh,
    MeshFactory,
    Mesher3D,
    MeshReferenceType,
    MeshFileFormat
)

# Model
from .fcscore import (
    Model,
    ModelItemInstance,
    GeometryInstance,
    MeshComponentInstance
)

# Backend Service template
from .fcsservice import ( 
    BackendService,
    fcs_command
)

# Logger
from .fcslogger import ( 
    FCSLogger,
    create_generic_logger
)

# Enum options 
from .fcsoptions import ( 
    StatusMessageType,
    ContainerTypes,
    DataTypes
)

# Geometry builder
from .geometrybuilder import GeometryBuilder

# Cloud model session communicator base class
from .fcsmodelsession import CloudModelCommunicatorBase